Bug 187416 - CDs/DVDs no long automount/unmount properly.
CDs/DVDs no long automount/unmount properly.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 14:58 EST by JB Segal
Modified: 2013-03-05 22:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JB Segal 2006-03-30 14:58:06 EST
Description of problem:
After upgrading from FC4 to FC5, when I put a disk in either my internal CD-ROM
drive or my external USB CD/DVD Recorder, I get the error "Cannot mount volume 
You are not privileged to mount the volume 'Volume name'"

After manually mounting (sudo mount /dev/cdwriter /media/cdrecorder), selecting
'Unmount' from the desktop icon's context menu, I receive the error "Cannot
unmount volume  You are not privileged to unmount the volume 'Volume name'"

However, when I hit OK, the unmount occurs and the drive ejects the disc.

Version-Release number of selected component (if applicable):
FC5 release,
hal-0.5.7-3 (Is this a hal problem? I'm not actually sure.)

How reproducible:
Consistently

Steps to Reproduce:
1. Insert disk in drive
2. Wait.
3. Select 'unmount' from icon's context menu.
4. Dismiss dialog. ("Ok")
  
Actual results:
No mounted disk, either via 'mount' nor via icon on desktop.
Unmounted disk, preceded by error dialog.

Expected results:
Mounted disk.
Cleanly unmounted disk.

Additional info:
Comment 1 John (J5) Palmieri 2006-04-17 16:14:07 EDT
can you post the contents of your /etc/fstab and /etc/fstab.hal-save files?  Thanks.
Comment 2 JB Segal 2006-04-17 16:51:14 EDT
With pleasure (in testing this, I discovered that audio cd's Do The Right Thing,
while data CDs don't. I don't know if this is new behaviour or not. I've been
yum update-ing daily but not trying to use cds very much):

jb@grandeur:/home/jb> cat /etc/fstab
# This file is edited by fstab-sync - see 'man fstab-sync' for details
/dev/VolGroup00/LogVol00 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
/dev/devpts             /dev/pts                devpts  gid=5,mode=620  0 0
/dev/shm                /dev/shm                tmpfs   defaults        0 0
/dev/proc               /proc                   proc    defaults        0 0
/dev/sys                /sys                    sysfs   defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0
/dev/scd0               /media/cdrecorder       auto   
pamconsole,exec,noauto,managed 0 0
/dev/hdc                /media/cdrom            auto   
pamconsole,exec,noauto,managed 0 0

jb@grandeur:/home/jb> ls -l /etc/fstab*
-rw-r--r-- 1 root root 787 Mar 29 19:04 /etc/fstab
jb@grandeur:/home/jb> 
Comment 3 Bug Zapper 2008-04-03 22:23:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 11:42:44 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.